function _parent(e)
{
	if (e && e.parentNode)
		return e.parentNode;
	
	return false;
}

function _id(s)
{
	return document.getElementById(s);
}

function _sl(s, c)
{
	return (c || document).querySelector(s);
}

function _ev(s, c)
{
	return document.evaluate("//"+s, c || document, null, XPathResult.ANY_TYPE, null).iterateNext();
}


function getE(h)
{
	switch (h)
	{
		case 'o2.pl':
		case 'money.pl':
		case 'open.fm':
		case 'gadzetomania.pl':
			return _ev("button[contains(., 'PRZECHODZ')]");
		
		case 'wp.pl':
			document.cookie = 'WP-cookie-info=1'; // wiadomosci.wp.pl
			return _ev("button[contains(., 'PRZECHODZ')]");
		
		case 'blikopzeewolde.nl':
		case 'socialmediaacademie.nl':
		case 'petsie.nl':
			return _sl('.jBlockerAccept');
		
		case 'fifa.com':
			// The first rule is for predictor.fifa.com
			var e = _sl('#root > div > div > svg');
			if (e) e.dispatchEvent(new Event("click", {bubbles:true}));
			return (e ? e : _sl('.mdl-overlay .close'));
		
		case 'tallsay.com':
		case 'plazilla.com':
			return _sl('.buttonblue[name="cookieok"]');
		
		case 'rain-alarm.com':
			var e = _id('privacypolicyAnalyticsYes');
			if (e) e.click();
			return _id('dialogButtonNo');
		
		case 'match.com':
			var e = _parent(_sl('a[data-cookie-no-optin][href*="cookie"]'));
			return (e ? e.nextSibling : false);
		
		case 'neu.de':
			var e = _parent(_sl('.js-cookie-no-optin'));
			return (e ? e.nextSibling : false);
		
		case 'kringloopapp.nl':
			var e = _ev("h4[contains(., 'Cookies')]");
			return (e ? _id('modal-close') : false);
		
		case 'marokko.nl':
			var e = _sl('.cookiealert .button');
			if (e) e.dispatchEvent(new Event("mousedown"));
			return false;
		
		case 'krone.at':
			var e = _sl('#krn-privacy-center.in #krn_select_all');
			if (e) e.click();
			return e;
		
		case 'bcc.nl':
			var e = _sl('#cookiewallmodal.in input[name="cookieconsent"][value="1"]');
			if (e) e.click();
			return _sl('#cookiewallmodal.in .btn-primary');
		
		case 'binumi.com':
			var e = _sl('.swal2-modal.visible a[href*="privacy-policy"]');
			return (e ? _sl('.swal2-modal.visible .swal2-confirm') : false);
		
		case 'fiaworldrallycross.com':
			var e = _sl('.swal2-shown a[href*="GDPR"]');
			return (e ? _sl('.swal2-shown .swal2-confirm') : false);
		
		case 'smartshop.hu':
			var e = _sl('.swal2-shown a[href*="sutik"]');
			return (e ? _sl('.swal2-shown .swal2-confirm') : false);
		
		case 'novini.bg':
		case 'sportal.bg':
			return _sl('.spd-overlay-on #spd-submit');
		
		case 'plt.nl':
		case 'amphion.nl':
			return _sl('.site-image .accept');
		
		case 'cookies-accept-nl.weeronline.cloud':
		case 'meteovista.be':
			return _sl('.content > .btn-accept');
		
		case 'instagram.com': return _sl('button.coreSpriteDismissLarge');
		case 'cookiewall.vice.com': return _id('i-agree');
		case 'emerce.nl': return _sl('.cc-container a#btn');
		case 'fr12.nl': return _id('cookies');
		case 'latagliatellayyo.es': return _sl('#AcceptCookies ~ #Buttonholder > input');
		case 'marktplaats.nl': return _sl('#track-accept .button');
		case 'mdsrl.it': return _sl('.cookie-modal .ui-button');
		case 'medtronic.nl': return _sl('.acceptcookies');
		case 'online-store.mercedes-benz.de': return _sl('.mb-modal-alert-cookie .close');
		case 'sogeti.nl': return _sl('input[name="cookiewall_answer"] + .button');
		case 'blog.daimler.de': return _sl('.modal-close[title*="Akzeptieren"]');
		case 'zomoto.nl': return _sl('#lnkAccept span');
		case 'hyundai.nl': return _sl('.popup .btn input[onclick*="acceptCookies"]');
		case 'runtervomgas.de': return _sl('#cookie-bar a');
		case 'teesbusinesscompass.co.uk': return _sl('#cookiepanel + .ui-dialog-buttonpane button');
		case 'qlstats.net': return _sl('#accept button[onclick*="acceptCookiePolicy"]');
		case 'openlibra.com': return _sl('#ol-cookie-policy button');
		case 'video.gazzanet.gazzetta.it': return _sl('#_evh-ric #AcceptButton');
		case 'zilverenkruis.nl': return _id('cookiedrie');
		case 'weeronline.nl': return _sl('img[src*="storage.weeronline.cloud/cookies"] ~ .btn-accept');
		case 'wampirki.com': return _sl('#NavigationBar1 a');
		case 'volkskrant.nl': return _sl('.button--accept[href*="cookiewall"], .button--accept[onclick*="cookie"], .button--accept[href*="accept"]');
		case 'tradukka.com': return _sl('#cookies_consent button');
		case 'radioveronica.nl': return _sl('.button[onclick*="allowCookies"]');
		case 'zorgverzekeringhema.nl': return _sl('#cookiemelder button');
		case 'meandermc.nl': return _sl('#meanderCookieDialog button');
		case 'e-thermostaat.nl': return _sl('#stAcceptDefault[onclick*="CookieStatement"]');
		case 'tvgids.nl': return _sl('.cookie-backdrop .btn-success');
		case 'longines.it': return _sl('.widget-cookie .allow');
		case 'easyjet.com': return _sl('.cookie-policy-drawer .close-drawer-button > button');
		case 'alternativa.fr': return _id('sub_cookie');
		case 'groepsaccomodaties.org': return _sl('input[name="cookie_answer"] + .button_yes');
		case 'paskoluklubas.lt': return _sl('.cookies-buttons .button');
		case 'onaplus.si': return _sl('.g-popup .btn');
		case 'etransport.pl': return _sl('.NovemediaCookiePolicy .approve');
		case 'skyradio.nl': return _sl('.cookie-wall .button');
		case 'community.ing.nl': return _sl('#cookie-1 .cookie-ctrl a');
		case 'payback.it': return _sl('#modal_CookieConsentOverlay .pb-button[data-dismiss]');
		case 'privacy.sbs.nl': return _sl('#settings-form .submit-button-small');
		case 'telegraafvandaag.nl': return _sl('.ott-bottom #button-agree');
		case 'outlet.mediamarkt.nl': return _id('cookie-consent');
		case 'monnikenwerk.pzc.wegenerwordpress.nl': return _sl('.pronamic_accept_button');
		case 'rd.nl': return _sl('#myModal.in input[onclick="cookieInfo.setLevel(1)"]');
		case 'petitpalais.paris.fr': return _sl('.disclaimer .close');
		case 'fashionlab.nl': return _sl('#cookiewarning button[onclick*="close_cookie_agreement"]');
		case 'opencaching.de': return _sl('.cookie-notice--body #js--cookie-notice--close-button');
		case 'puma.com': return _sl('#modal-geoip-cookies.show button.notification__dismiss');
		case 'tube.nl': return _sl('button.js-cookie-consent');
		case 'rechtopgeld.nl': return _sl('#cookiewet .btn-success');
		case 'peaks.nl': return _sl('#cookie-modal .bubble');
		case 'reindicium.com': return _sl('#myModal .btn[onclick*="setCookie"]');
		case 'leroymerlin.ru': return _id('btn-accept_cookies');
		case 'fristadskansas.com': return _sl('label[for="UserAcceptedCookies2"]');
		case 'ikgastarten.nl': return _sl('.cookie-processed .agree-button a');
		case 'cookiesv2.publiekeomroep.nl': return _sl('.btn[onclick*="submit"]');
		case 'tripplite.com': return _sl('#cookieMsg a[onclick="tl.setEUcookie();"]');
		case 'second-hand-ikea.com': return _sl('#cookie_melding .link_button2');
		case 'relaischateaux.com': return _sl('.cnil-isvisible .close-cnil');
		case 'tournamentsoftware.com': return _sl('#cookies__modal .btn--secondary');
		case 'polskifrontend.pl': return _ev("a[contains(., 'Rozumiem')]");
		case 'bereavementadvice.org': return _sl('#dialog-cookies .btn-primary');
		case '24kitchen.nl': return _sl('.cookie-container .submit-button');
		case 'henkel-reiniger.de': return _sl('.js-close-cookielayer');
		case 'gerritveldman.nl': return _sl('.gvca_ok_link');
		case 'hampshire.spydus.co.uk': return _sl('form[action*="ALLOWCOOKIES"] input[name="ACSUBMIT"]');
		case 'dulcogas.it': return _sl('.standalonelink[title="chiudere"]');
		case 'depop.com': return _ev("a[contains(., 'Accept & close')]");
		case 'britishairways.com': return _sl('.cookieModalButton');
		case 'weerstatistieken.nl': return _sl('input[name="cookieconsent"] + input[type="submit"]');
		case 'wetransfer.com': return _sl('.button.button--enabled.welcome__agree, #tandcs[style*="block"] #accepting.enabled, .transfer__window.terms-conditions .transfer__button');
		case 'bjuvsbostader.se': return _sl('#cookiecheck .btn');
		case 'zwangerschapspagina.nl': return _sl('.accept[href*="setcookie"]');
		case 'subaru.de': return _sl('.CookieLayer__button');
		case 'autovisie.nl': return _id('akkoord_text');
		case 'gva.be': return _sl('.cookie-banner button');
		case 'tradeplace.com': return _id('UIAcceptCookies_UIHyperLinkAccept');
		case 'team-rauscher.at': return _sl('.cookie.header .enable');
		case '9292.nl': return _sl('.modal-open #btnAccord');
		case 'merckmanual.nl': return _sl('.cookies + form .button');
		case 'msdmanuals.nl': return _sl('.cookies + form .button');
		case 'motorolasolutions.com': return _sl('#__tealium_tagO2_confirm button');
		case 'muddymatches.co.uk': return _id('cookie_permission_submit');
		case 'nebulacodex.com': return _sl('#capa .verde');
		case 'paleishetloo.nl': return _sl('.cookieButtons .pull-left');
		case 'parliamentlive.tv': return _id('cookiesAccept');
		case 'ragepluginhook.net': return _sl('form[action*="CookieGate.aspx"] #acceptButton');
		case 'ravenblack.net': return _sl('input[type="submit"][value="I consent to this use of cookies"], input[onclick="eu_consent();"]');
		case 'rijtesten.nl': return _id('dd_popup_container_side_acceptButton');
		case 'scorito.com': return _sl('.cookieWallPreviewShutter + div #btnReturn');
		case 'sep.gr': return _id('apodoxiBtnCookies');
		case 'shop4mama.nl': return _sl('.ui-dialog #OneTimePopupDialog + .ui-dialog-buttonpane .ui-button:last-child');
		case 'metronieuws.nl': return _sl('.container > button[onclick="accept()"]');
		case 'second-hand-watch.com': return _sl('.link_button2[onclick*="CookieOptIn"]');
		case 'withgoogle.com': return _sl('a[href="http://www.cookiechoices.org"] + button');
		case 'vkmag.com': return _sl('#cookiesdirective #explicitsubmit');
		case 'tweakers.net': return _sl('#cookieContainer .fancyButton, #cookieAcceptForm .fancyButton');
		case 'cideon.de': return _sl('.m-content-cideon-cookie-consent__accept');
		case 'cdarts.ch': return _sl('.cadre_bouton .popup-modal-dismiss');
		case 'truste.com': return _sl('.pdynamicbutton .call, #gwt-debug-close_id');
		case 'ter.sncf.com': return _sl('.close-cookie-banner');
		case 'suchdichgruen.de': return _sl('.important-notice .close-it');
		case 'smgcookies.nl': return _sl('.accept_box a.iaccept');
		case 'ratebeer.com': return _sl('input[type="button"][value="OK"]:not([id]):not([class])');
		case 'livep2000.nl': return _sl('.messagediv > a[href*="cookies"] ~ button[name="ok"]'); // livep2000.nl/monitor/cookieChoice.html
		case 'secureworks.co.uk': return _sl('.dsw-cookie-disclaimer .dsw-button');
		case 'dm.cz': return _sl('#tracking-opt-in-layer-container .ui-button');
		case 'nike.com': return _sl('.cookie-settings-button-container .js-yes-button, .js-hf-cookie-accept');
		case 'rtlxl.nl': return _id('acceptButton');
		case 'my.moneypolo.com': return _sl('#cookie-strip .close-cookie');
		case 'choice.npr.org': return _sl('.user-actions #accept');
		case 'imhd.sk': return _sl('#cookieNotice a[href="#"]');
		case 'g2a.com': return _sl('.modal-options--cookie .btn-primary');
		case 'euroclix.nl': return _sl('#cookiesPreferencesForm button.press');
		case 'bodybuilding.com': return _sl('bb-gdpr-modal .Gdpr-btn'); // bodyspace sub
		case '9gag.com': return _sl('.gdpr.modal .blue');
		case 'mendrulandia.es': return _sl('#ventana #v_btAceptar');
		case 'tumblr.com': return _sl('.final-btn-consent .btn.yes');
		case 'cookiewall.finnik.nl': return _sl('.box form button[name="button"][type="submit"]');
		case 'healthline.com': return _sl('#modal-host button:not(.backdrop)');
		case 'hm.com': return _sl('#gdpr-modal .js-read-gdpr');
		case 'dokterdokter.nl': return _sl('.cookiewall.card .button');
		case 'motodesguacehnosgonzalez.com': return _sl('#cookies_policy.fade.in .btn-primary');
		case 'i-say.com': return _sl('.critical-modal.in .btn-primary');
		case 'atlasobscura.com': return _sl('.js-cookie-consent-accept');
		case 'purevpn.com': return _id('CTA_gdbrcontinue_analytic');
		case 'ivoox.com': return _sl('#gdpr-modal .btn-default');
		case 'discordbots.org': return _sl('.button[onclick*="HasSeenAnnoyingPopup"]');
		case 'slate.com': return _sl('.gdpr-form__consent');
		case 'wizaserwis.pl': return _sl('#promoinfo.open .modal-close');
		case 'mtc-it4.be': return _sl('.modal.fade.in .panel-warning .btn-warning');
		case 'time.com': return _sl('.gdpr-form .btn');
		case 'playtv.fr': return _sl('.grdp-button');
		case 'yellowbrick.nl': return _sl('.cc-set-cookie.btn.btn-green');
		case 'vanpartner.com': return _sl('.cookieslaw .closeBtn');
		case 'guce.oath.com': return _sl('.consent-form .agree-button-group .btn, .consent-container .btn[name="agree"]');
		case 'poslovni.hr': return _sl('.modal--gdpr #gdpr_understandBtn');
		case 'pathe.nl': return _sl('.btn[onclick*="CookieNotification.Accept"]');
		case 'allyouneedfresh.de': return _sl('#frmNoCookiesModal > a');
		case 'makro.nl': return _id('Desktop_UIIntrusive1_cookieLawAgreeBtn');
		case 'shmoop.com': return _sl('.btn.eu-opt-in, .privacy-notice .privacy-agree');
		case 'theforestmap.com': return _sl('.modal.fade.in #acceptcookies');
		case 'mazda.de': return _sl('div[class*="mxp-main-cookie-panel-container"] div[class*="mxp-cta-btn-type-primary"]');
		case 'wonderhowto.com': return _sl('#consentContainer ul + .raised-btn');
		case 'commentreparer.com': return _sl('#rgpd .btn.btn-danger');
		case 'arcgames.com': return _sl('.accept-btn.gdpr-button');
		case 'alltube.tv': return _sl('#rodo-popup.in #rodo-accept, #cookies > span');
		case 'wibra.eu': return _sl('.wpca-btn-accept');
		case 'societe.com': return _sl('#cookiesmodale .Button[name="cookiesall-oui"]');
		case 'ratsit.se': return _sl('.js-cookie-modal.in .js-cookie-modal-accept');
		case 'zeelandnet.nl': return _sl('.modal__button--accept[href*="cookie"]');
		case 'gnkdinamo.hr': return _sl('#privacyPolicyModal.in .btn-confirm');
		case 'smitegame.com': return _sl('#root > div > div > .center-wrapper .approve');
		case 'tk.de': return _sl('.m-stickyconfirm__button');
		case 'voyageforum.com': return _id('consent_button');
		case 'gadgethacks.com': return _sl('#consentContainer .raised-btn[href*="granted"]');
		case 'windguru.cz': return _id('butt_consent_psads_ok');
		case 'jobbird.com': return _id('gdpraccept');
		case '17track.net': return _sl('#modal-gdpr.in .btn-warning');
		case 'toestemming.ndcmediagroep.nl': return _sl('form[action*="consent"] .buttons input');
		case 'alarmeringen.nl': return _sl('#modal #msg #accept');
		case 'ticketea.com': return _sl('#cookies-acceptance');
		case 'radio10.nl': return _sl('div[class^="CookieWall"] #link');
		case 'ing.be': return _sl('#customConsentOverlayMap > area');
		case 'finn.no': return _sl('.modal--is-active .button[href*="personvern/sikring-og-bruk"] + .button--cta');
		case 'aoib.dk': return _id('consent-module-text-button');
		case 'nieuwspaal.nl': return _sl('.npbutton[onclick*="setConsentCookie"]');
		case 'kieskeurig.nl': return _sl('#cookie-wall .im-button'); // magazine sub; www uses common.js
		case 'hajduk.hr': return _sl('.cookie-popup__close');
		case 'overdrive.com': return _sl('.featherlight[style*="block"] .set-cookie__form input[type="submit"], .cookieSettingsModal.open .confirm.button');
		case 'tappedout.net': return _sl('#gdpr-modal.in #tos-accept');
		case 'mysupermarket.co.uk': return _sl('.MspGdprHerePopup #ContinueButton');
		case 'soccerstats.com': return _sl('.button[onclick*="cookiesok"]');
		case 'hanos.nl': return _sl('.banner_message[data-hanos-cookie-disclaimer][style*="block"] .btn[data-hanos-cookie-disclaimer-agree]');
		case 'brooksrunning.com': return _sl('.consent-form .consent-form__button.a-btn--primary');
		case 'hindustantimes.com': return _sl('.cookieswindow #agree');
		case 'avid.com': return _id('siteAlertAccept');
		case 'otpbank.hu': return _sl('.gdpr-btn-container .btn.btn-primary');
		case 'logicsupply.com': return _sl('.primary-button[href*="opt-in/?response=agree"]');
		case 'telenor.no': return _sl('.global-overlay-block.show .button-cta.blue a');
		case 'rp.pl': return _ev("span[contains(., 'Przejdź do serwisu')]");
		case 'foodnetwork.co.uk': return _sl('.cookie-message .btn[value="Accept"]');
		case 'foodnetwork.com': return _sl('.cookie-message .btn[value="Accept"]');
		case 'maa.nl': return _sl('.btn.accept-cookies');
		case 'chomikuj.pl': return _sl('#AcceptChomikujTermsForm .greenButtonCSS');
		case 'hertz.com': return _sl('#light-box-1 .lb-close');
		case 'immobilien.net': return _sl('#root > div > div > section > p + .button.button--primary');
		case 'monsterhunterworld.com': return _sl('#gdpr.active #accept a');
		case 'imvu.com': return _sl('.privacy-policy-adult-dialog .accept-cookies');
		case 'postimees.ee': return _sl('.body--cookie-notification-visible .notification--cookie .notification__button');
		case 'livvin.com': return _sl('#welcome-message button[class*="Button__StyledButton"]');
		case 'steviaproducts.be': return _sl('.ui-dialog[style*="block"] #OneTimePopupDialog + div button');
		case 'pcdiscounter.eu': return _sl('.ui-dialog[style*="block"] #OneTimePopupDialog + div button');
		case 'werksite.nl': return _sl('.modal.show .btn[href*="allow"]');
		case 'allbinos.com': return _sl('.w3-modal[style*="block"] .w3-button[onclick*="polityka"]');
		case 'max.se': return _sl('.infoBanner .button');
		case 'tme.eu': return _sl('.popup_wizard_container .popup_panel .button');
		case 'independent.com.mt': return _sl('.privacy-policy-container .btn-cta');
		case 'newstalk.com': return _sl('#consent_modal.in .btn:not(.show-manage-settings)');
		case 'online.no': return _sl('.close-disclaimer .autofocus-el');
		case 'openpli.org': return _sl('div[onclick^="euCreateCookie"]');
		case 'privacy.vakmedianet.nl': return _sl('.general-cta-btn');
		case 'coolmathgames.com': return _sl('.gdpr-overlay-container[style*="visible"] .accept-all-cookies');
		case 'buienalarm.nl': return _sl('.modal.active.padding > .container .padding .btn.green');
		case 'buienalarm.be': return _sl('.modal.active.padding > .container .padding .btn.green');
		case 'lnk.to': return _sl('#modal.is-active .lnk-c-btn[onclick*="opt_in"]');
		case 'evaair.com': return _sl('#colorbox[style*="block"] #cookies .positive');
		case 'toc.mercedes-benz.com': return _sl('.modal-cookie-warning .modal-close');
		case 'bluelagoon.com': return _sl('#app > div > p ~ button');
		case 'zekur.nl': return _sl('.cookie-consent .btn.agreed');
		case 'elevensports.it': return _sl('#elevensports-privacy .close');
		case 'findaphd.com': return _sl('.cookieNoticeA .closeTab');
		case 'akamai.com': return _sl('.accept[data-module^="cookies"]');
		case 'mtmad.es': return _sl('button[class*="cookiesAlert__accept_button"]');
		case 'deondernemer.nl': return _sl('button[name="acceptCookies"]');
		case 'todopvr.com': return _sl('#Button1[onclick*="cookiesOK"]');
		case 'mitsubishielectric.com': return _sl('.cookie_policy .btn-cookie-yes');
		case 'clusterr.io': return _sl('cl-cookies-message .cl-btn');
		case 'schneider-umformen.de': return _sl('.cookie .button');
		case 'diabeter.nl': return _sl('#cookies button[name="cookies"]');
		case 'logistik-express.com': return _sl('#dsgvo[style*="block"] #cookies.lebutton-farbe');
		case 'kramp.com': return _sl('.cookie-message .button');
		case 'oskolaf.pl': return _sl('#modal-info.in .btn-podstawowy');
		case 'prvikvadrat.hr': return _sl('.modal.in .button--brand');
		case 'ffm.to': return _sl('.get-premium-modal .footer-button.get-premium');
		case 'trouw.nl': return _sl('.modal__button--center .btn.btn--accept'); // krant sub; www and myaccount use common.js
		case 'carglass.it': return _sl('#gdpr_compliance .button');
		case 'mapy.geoportal.gov.pl': return _sl('#appGlass[style*="block"] .tos-button[onclick*="yes"]');
		case 'mkidn.gov.pl': return _sl('#myModal.in .btn-default');
		case 'gdansk.wios.gov.pl': return _sl('.sbox-content-adopt[style$="1;"] + #sbox-btn-close');
		case 'purepla.net': return _sl('.gdpr-cookies .agree-btn');
		case 'paypal-community.com': return _sl('.ui-dialog[style*="block"] #disclaimer #firstvisitbtn');
		case 'malmo.se': return _sl('#gdprConsent[style*="block"] .gdprConsent__btn');
		case 'group.rwe': return _sl('.during-animation--open [data-tracking-event="cookieTracking"] .close-modal');
		case 'wavesplatform.com': return _ev("span[contains(., 'ALLOW ALL')]");
		case 'ad.win.nl': return _sl('#cookieConsentBox[style*="block"] #cookieConsent');
		case 'kiplinger.com': return _sl('.kip-gdpr button');
		case 'rabobank.com': return _id('allowcookies');
		case 'robens-dn.de': return _sl('.grpelem > .Button');
		case 'retailtrends.nl': return _sl('.alert #accept');
		case 'nytimes.com': return _sl('.shown.expanded button:first-child, #accept_cta[class*="banner"]');
		case 'rofl-nerd.net': return _sl('input[name="consent"] + .btn');
		case 'jordans3d.planningwiz.com': return _sl('#policyModule .button');
		case 'chess24.com': return _sl('.dataConsentPopup[style*="block"] #data-consent-opt-in-all');
		case 'ing.com': return _sl('.fancybox-wrap[style*="block"] #bcpm-altnotification-ok');
		case 'n26.com': return _sl('#gdpr-notice button + button');
		case 'biotechusa.hu': return _sl('#cookie-consent.remodal-is-opened #accept-cookie-settings');
		case 'boligsiden.dk': return _sl('.modal.in .cookie__submit');
		case 'royalenfield.com': return _sl('.re-cookie[style*="block"] .re-cookie-rht a');
		case 'teenmegaworld.net': return _sl('.cookie button');
		case 'leadingpractice.com': return _sl('.pum[data-popmake*="accept"] .pum-close');
		case 'paks-bayern.weebly.com': return _sl('.banner .wsite-button[href*="willkommen"]');
		case 'hey.car': return _sl('.button[kind="tertiaryLight"] + .button[kind="primary"]');
		case 'krant.parool.nl': return _sl('.button--accept');
		case 'iradio.ie': return _sl('#myPrivacy.in .consentt');
		case 'virginaustralia.com': return _id('cookieAcceptButton');
		case 'olesnica24.com': return _sl('#popModal.in .btn[data-accept]');
		case 'chordify.net': return _sl('.consent-accept-all');
		case 'abgsc.com': return _sl('#gdpr-cookie-message:not([style*="none"]) #gdpr-cookie-accept');
		case 'beardbrand.com': return _sl('.fancybox-opened .js-cookie-accept');
		case 'jointcommission.org': return _sl('.ui-dialog[style*="block"][aria-labelledby*="Cookies"] .ui-state-default:first-child');
		case 'pcimag.com': return _sl('form[action*="gdpr-policy"] input[value="Accept"]');
		case 'bridgestone.de': return _sl('.cookie-accept-block-button a');
		case 'portalsamorzadowy.pl': return _sl('.rodo.open .button');
		case 'infodent24.pl': return _sl('.rodo.open .button');
		case 'player.pl': return _sl('.modal.show .rodo-popup-footer .btn-sign:not(.inactive)');
		case 'kerbalspaceprogram.com': return _sl('.wmpci-popup-close');
		case 'pharmindex-online.hu': return _sl('#cookie_modal.in .btn[onclick*="cookieHide"]');
		case 'filmweb.pl': return _sl('.rodo .rodo__accept button');
		case 'autotrader.nl': return _sl('button[aria-label="cookie-agreement"]');
		case 'aurubis.com': return _sl('.cookiepopup-close:not([style*="none"])');
		case 'tvasta.pl': return _sl('#infoModal.in .btn[data-dismiss]');
		case 'powiatslubicki.pl': return _sl('#myModal.in .btn[data-dismiss]');
		case 'agar.io': return _sl('#cc-notification[style*="block"] .cc-approve-button-thissite-ads');
		case 'dm.hu': return _sl('#tracking-opt-in-layer-container .ui-button');
		case 'f1racing.pl': return _sl('#box > #text + ul a[href*="x-set-cookie"]');
		case 'gry.pl': return _sl('div[class*="app_gdpr"] button[class*="intro_acceptAll"]');
		case 'vivaldi.com': return _sl('#comments a[onclick*="AcceptCookies"]');
		case 'infosecurity.nl': return _sl('.btn[value="Akkoord"][onclick^="Send"]');
		case 'zurzeit.eu': return _sl('body > p > strong > a[href*="boxen/zur-zeit-aktuell"]');
		case 'webstaurantstore.com': return _sl('#user-data-policy-modal.show .btn[data-dismiss]');
		case 'track-trace.com': return _sl('.tingle-modal--visible .tingle-btn--primary');
		case 'paris.fr': return _sl('.html-wrapper .button[data-action="allow_cookies"]');
		case 'stockhouse.com': return _sl('input[name="privacy-acceptance"] + .button');
		case 'meldpuntwegen.be': return _sl('.step-page.visible .cookie-melding.volledig + .button');
		case 'crowdestate.eu': return _sl('.modal.in .btn[ng-click*="gdprSave"]');
		case 'fctwente.nl': return _sl('.js-modal-cookie.is-visible .js-modal-accept');
		case 'ipla.tv': return _sl('app-rodo-rules-modal button + button');
		case 'pakkesporing.no': return _sl('.tingle-modal--visible .tingle-btn--primary');
		case 'tcroomburg.nl': return _sl('.cookiewall .btn-primary');
		case 'hepster.com': return _sl('.tingle-modal--visible .btn-cookie-primary');
		case 'nn.nl': return _sl('.fancybox-opened #bcSubmitConsentToAll');
		case 'okpal.com': return _sl('#js-hook-cookie .btn');
		case 'martinus.cz': return _sl('#gdpr.is-active .mj-gdpr-accept');
		case 'vox.pl': return _sl('#pgwModal #rodo_accept');
		case 'wiertz.com': return _sl('.accept-cookies');
		case 'consent.talpanetwork.com': return _sl('meer-accept-cookie-policy meer-button');
		case 'donneespersonnelles.rdvconso.org': return _sl('.ui-cookies .accept');
		case 'tipsyelves.com': return _id('cookie-consent-accept');
		case 'codra.net': return _sl('.cookie-consent.cookie--visible .btn');
		case 'makelaarsland.nl': return _sl('.is-cookie-notice #cookie-accept');
		case 'kidioui.fr': return _sl('.blockingCookieAck .cookieACK .btn'); // voiture sub
		case 'milliman.com': return _sl('#cookieSection[style=""] .fillBtn');
		case 'verzamelaarsjaarbeurs.nl': return _sl('.mpp-popup[style*="block"] .cookieplus-btn-accept-cookies');
		case 'goldenline.pl': return _sl('#profiling-agreement.in .btn.agree, .notice.info.alert .close');
		case 'beerwulf.com': return _sl('#dontAgreeAndEighteenContainer:not(.hide) #agreeAndEighteen');
		case 'ben.nl': return _sl('.cookie-wall-container .button--green');
		case 'wylecz.to': return _id('accept-targeting-disclaimer-button');
		case 'lexpress.fr': return _sl('.cookie-policy-popup[style*="block"] .button[data-cookie-policy-accept]'); // codepromo sub
		case 'morrisonsislistening.co.uk': return _sl('#AcceptCookies ~ #Buttonholder #NextButton');
		case 'replika.ai': return _sl('a[href*="privacy"] + button');
		case 'investors.com': return _id('gdpr-accept-button');
		case 'e-sochaczew.pl': return _sl('#RODOCOOKIE.in .btn[onclick]');
		case 'norgips.pl': return _sl('#cookiemodal.in #accept-cookies-checkbox');
		case 'brieftip.pl': return _sl('#cookieModal.show #cookieAcceptBtn');
		case 'shoppable.com': return _sl('#cookiesModal.in .btn[data-dismiss]');
		case 'kaliber.pl': return _sl('#cookieModal.in .btn[onclick]');
		case 'travelchannel.co.uk': return _sl('#cppd .accept');
		case 'toolstation.nl': return _sl('#eu-cookies-notice.in #eu-cookies-notice-yes');
		case 'sites.google.com': return _sl('a[href^="https://www.google.com/policies/technologies/cookies/"] + div');
		case 'gezondheidsplein.nl': return _sl('.cookiewall .button');
		case 'fabrykacukiernika.pl': return _sl('.rodo-popup[style*="block"] button');
		case 'totalcasino.pl': return _sl('.popup-container[style*="block"] .gdpr-popup .accept_gdpr');
		case 'trubendorffer.nl': return _sl('#cookie_notice_popup.show .cta_button.primary');
		case 'jobserve.com': return _sl('#CookiePolicyPanel #PolicyOptInLink');
		case 'unive.nl': return _sl('#consent-wrapper .close-modal');
		case 'guce.yahoo.com': return _sl('#gucRefreshPage .loader-text a[href*="guccounter=2"]');
		case 'eneco.nl': return _sl('.ReactModal__Overlay--after-open #AcceptCookiesButton');
		case 'pieseauto.ro': return _sl('.cookie-wall .js-submit');
		case 'timeout.com': return _sl('.cookie_banner:not(.xs-hide) .btn-close');
		case 'intersport.hr': return _sl('.gdpr-modal-wrapper._show .primary.button');
		case 'dhbbank.nl': return _sl('#cookieModalCenter.show #cookieModalAcceptButton');
		case 'wurth.es': return _sl('.lity-opened #grpd-fancy #cookie-success');
		case 'midas.co.za': return _sl('.cookiemodal.in .btn[data-dismiss]');
	}
	
	
	var parts = h.split('.');
	
	if (parts.length > 2)
	{
		parts.shift();
		return getE(parts.join('.'));
	}
	
	return false;
}


// Search loop function

function searchLoop(counter, host) {
	setTimeout(function() {
		var e = getE(host);
		
		if (e)
			e.click();
		else if (counter < 200)
			searchLoop(counter+1, host);
	}, 500);
}


// Initial timeout

setTimeout(function(){
	searchLoop(0, document.location.hostname.replace(/^w{2,3}\d*\./i, ''));
}, 500);